Publish a dataset to Weave
curl --request POST \
--url https://distillation.training.wandb.ai/v1/tasks/{alias}/datasets/{datasetId}/weave-publish \
--header 'Authorization: Bearer <token>'import requests
url = "https://distillation.training.wandb.ai/v1/tasks/{alias}/datasets/{datasetId}/weave-publish"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://distillation.training.wandb.ai/v1/tasks/{alias}/datasets/{datasetId}/weave-publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": {
"message": "Task 'missing' not found in entity 'your-team'",
"type": "not_found"
}
}Publish a dataset to Weave
Queues publication of the current dataset revision to Weave.
POST
/
tasks
/
{alias}
/
datasets
/
{datasetId}
/
weave-publish
Publish a dataset to Weave
Authorizations
A personal or service-account W&B API key.
Headers
Accessible personal or team entity. Omit to use the API key's default entity.
Query Parameters
Supersede an existing completed publication when its content has changed.
Response
Publication was queued.
Dataset publication queue state.
Last modified on August 25, 2026
Was this page helpful?
⌘I